Difference between revisions of "Draft Line/fr"

From FreeCAD Documentation
Jump to navigation Jump to search
(Created page with "==Options== <br /> Image:Draft Style 02.png <br /> * Pour entrer les coordonnées manuellement, entrez chaque composante,''' {{KEY|X}}, {{KEY|Y}} et {{KEY|Z}}''' et appuye...")
(Updating to match new version of source page)
(81 intermediate revisions by 6 users not shown)
Line 1: Line 1:
{{GuiCommand/fr|Name=Draft Line|Name/fr=Ligne|Workbenches=[[Draft Module/fr|Planche à dessin (2d Draft)]]|MenuLocation=Draft → Ligne|Shortcut=L I|SeeAlso=[[Draft Wire/fr|Filaire]]}}
+
<languages/>
 +
{{Docnav/fr
 +
|
 +
|[[Draft_Wire/fr|Filaire]]
 +
|[[Draft_Module/fr|Atelier Draft]]
 +
|IconC=Workbench_Draft.svg
 +
|IconR=Draft_Wire.svg
 +
}}
  
 +
{{GuiCommand/fr
 +
|Name=Draft Line
 +
|Name/fr=Draft Ligne
 +
|Workbenches=[[Draft Module/fr|Draft]], [[Arch Module/fr|Arch]]
 +
|MenuLocation=Draft → Ligne
 +
|Shortcut={{KEY|L}} {{KEY|I}}
 +
|SeeAlso=[[Draft Wire/fr|Draft Filaire]], [[Draft Point/fr|Draft Point]]
 +
|Version=0.7
 +
}}
 +
 +
==Description==
 +
 +
<div class="mw-translate-fuzzy">
 
==Description==
 
==Description==
Cet outil demande à l'utilisateur de spécifier deux points et trace une ligne entre ceux-ci dans le [[Draft_Workingplane/fr| plan de travail courant]] [[File:Draft_Workingplane.png|480px|24px]]. Il prend la largeur et la couleur préalablement [[Draft_Linestyle/fr|définies]] sur l'onglet Tâches ou à partir de la barre d'outils "d'application de Style" [[Image:Draft Style 01.png|192px]] (voir plus de [[#Plan et Style|détails]] en bas).<br />
+
Cet outil demande à l'utilisateur de spécifier deux points et trace une ligne entre ceux-ci dans le [[Draft_SelectPlane/fr|plan de travail courant]]. Il prend la largeur et la couleur préalablement [[Draft_Linestyle/fr|définies]] sur l'onglet Tâches.
L'outil ligne se comporte comme une [[Draft_Wire/fr|polyline (Draft Wire)]] [[File:Draft_Wire.png|16px]] à la différence qu'il s'arrête au bout deux points. Les points peuvent être choisis à l'aide de la souris dans la vue modèle 3D, ou bien par la saisie de coordonnées à l'aide du clavier.
+
L'outil ligne se comporte exactement comme l'outil [[Draft_Wire/fr|Filaire]], à la différence qu'il s'arrête à la saisie de deux points.
 +
L'outil Ligne crée une ligne droite définie par deux points. Il utilise le  [[Draft Linestyle/fr|style de ligne]] défini dans la barre d’outils du tiroir. L'outil Ligne se comporte exactement comme l'outil [[Draft Wire/fr|Draft Wire]] , sauf qu'il s'arrête après deux points.
 +
</div>
  
 
[[Image:Draft_Line_example.jpg|400px]]
 
[[Image:Draft_Line_example.jpg|400px]]
 +
{{Caption|Création d'une ligne avec deux points}}
  
 +
==Usage==
 +
 +
<div class="mw-translate-fuzzy">
 
==Utilisation==
 
==Utilisation==
<br />
+
# Appuyez sur le bouton {{Button|[[Image:Draft Line.svg|16px]] [[Draft Line/fr|Draft Ligne]]}} ou utilisez le {{KEY|[[Image:Draft Line.svg|16px]] [[Draft Line/fr|Ligne]]}} dans le menu supérieur, ou utilisez le raccourci clavier: {{KEY|L}} puis {{KEY|I}}.
# Cliquez sur le bouton {{KEY|[[Image:Draft Line.png|24px]] [[Draft Line/fr|Draft Line]]}} ou pressez sur les touches {{KEY|L}} puis {{KEY|I}}
+
# Cliquez le premier point dans la vue 3D, ou entrez les [[Draft_Coordinates/fr|coordonnées]] puis pressez le bouton {{Button|[[Image:Draft_AddPoint.svg|16px]] [[Draft_AddPoint/fr|Ajouter un point]]}} .
# Cliquez le premier point dans la vue 3D view, ou entrez les [[Draft_Coordinates/fr|coordonnées]]
+
# Cliquez le deuxième point dans la vue 3D, ou entrez les [[Draft_Coordinates/fr|coordonnées]] et pressez le bouton {{Button|[[Image:Draft_AddPoint.svg|16px]] [[Draft_AddPoint|Ajouter un point]]}}.
# Cliquez le deuxième point dans la vue 3D view, ou entrez les [[Draft_Coordinates/fr|coordonnées]]
+
</div>
 +
 
 +
La ligne peut être éditée en double cliquant sur l'élément dans la vue 3D, ou pressez sur le bouton {{Button|[[Image:Draft Edit.svg|16px]] [[Draft Edit/fr|Éditer]]}}. Vous pouvez alors déplacer les points à leurs nouvelle position.
 +
 
 +
=== Fusionner des lignes simples ===
 +
Si plusieurs [[Draft Line/fr|lines]] sont connectées, vous pouvez les fusionner en un fil unique en appuyant sur l'outil {{Button|[[Image:Draft Upgrade.svg|16px]] [[Draft Upgrade/fr|Draft Upgrade]]}}. '''Cependant''', ce fil ne sera pas éditable. '''Pour créer un fil modifiable''', utilisez {{Button|[[Image:Draft Upgrade.svg|16px]] [[Draft Upgrade/fr|Draft Upgrade]]}} trois fois de plus sur les nouvelles formes (fil, fil fermé, face). Vous pouvez également fusionner les lignes d'origine avec l'outil {{Button|[[Image:Draft Wire.svg|16px]] [[Draft Wire/fr|Draft Wire]]}}.
 +
 
 +
'''REmarque''': un fil peut également être créé à partir d'une seule ligne en ajoutant un autre point n'importe où sur sa longueur. Pour ce faire, appuyez sur le bouton {{Button|[[Image:Draft_AddPoint.svg|16px]] [[Draft_AddPoint/fr|ajouter un point]]}}, puis cliquez n'importe où sur la ligne.
  
 +
<div class="mw-translate-fuzzy">
 
==Options==
 
==Options==
<br />
+
* Appuyez sur {{KEY|X}}, {{KEY|Y}} ou {{KEY|Z}} après le premier point pour contraindre le second point le long d'un axe.
[[Image:Draft Style 02.png]]
+
* Pour saisir les coordonnées manuellement, entrez le nombre et appuyez simplement sur {{KEY|​​ENTRÉE}} entre chaque saisie de X, Y et Z.
<br />
+
** Vous pouvez également définir les coordonnées polaires du point en donnant une valeur à "Longueur" et "Angle". Cliquez sur la case à cocher à côté de "Angle" pour contraindre le pointeur à l'angle spécifié.
* Pour entrer les coordonnées manuellement, entrez chaque composante,''' {{KEY|X}}, {{KEY|Y}} et {{KEY|Z}}''' et appuyez simplement sur {{KEY|​​ENTRER}}.
+
** Vous pouvez appuyer sur le bouton {{Button|[[Image:Draft_AddPoint.svg|16px]] [[Draft_AddPoint/fr|ajouter un point]]}} lorsque vous avez les valeurs souhaitées pour insérer le point.
* Appuyez sur {{KEY|R}} ou cliquez sur la case à cocher/décocher du "'''{{KEY|mode relatif}}'''". Si le '''{{KEY|mode relatif}}''' est activé, les coordonnées du second point sont par rapport à la première. Si non, ils sont absolus, prises à partir du point d'origine '''(0,0,0)'''.
+
* Appuyez sur {{KEY|R}} ou cliquez sur la case {{KEY|'''Relatif'''}} pour cocher/décocher ce mode. Si le mode relatif est activé, les coordonnées du second point seront relatives à la première. Sinon, elles seront absolues, prises à partir du point d'origine (0,0,0).
* Appuyez sur {{KEY|T}} ou cliquez sur la case à cocher/décocher '''{{KEY|continuer}}'''. Si le mode '''{{KEY|continuer}}''' est activé, l'outil ligne va redémarrer après que vous ayez donné le second point, vous permettant de dessiner un autre segment de ligne sans appuyer de nouveau sur la touche ligne [[Image:Draft Line.png|16px]].
+
* Appuyez sur {{KEY|T}} ou cliquez sur la case {{KEY|'''Continuer'''}} pour cocher/décocher ce mode. Si le mode Continuer est activé, l'outil ligne va redémarrer après que vous ayez donné le second point, vous permettant de dessiner un autre segment de ligne sans appuyer de nouveau sur le bouton ligne.
* Sélectionner un point dans une zone vide de la vue modèle 3D, ou sur un objet existant.
+
* Appuyez sur {{KEY|CTRL}} pendant que l'outil est actif pour forcer l'[[Draft_Snap/fr|accrochage]] du point sur l'emplacement d'accrochage le plus près, indépendamment de sa distance.
* Appuyer sur {{KEY|CTRL}} [[Draft_Snap/fr|accroche]] le point sur un emplacement d'accrochage disponible, indépendamment de la longueur.
+
* Appuyez sur {{KEY|MAJ}} pendant que l'outil est actif pour [[Draft_Constrain/fr|contraindre]] le second point horizontalement ou verticalement en relation au point précédent.
* Appuyer sur {{KEY|SHIFT}} [[Draft_Constrain/fr|contraint]] le nouveau point en relation au point précédent.
+
* Appuyez sur {{KEY|CTRL}} + {{KEY|Z}} ou sur le bouton {{button|[[Image:Draft UndoLine.png|12px]] [[Draft_UndoLine/fr|annuler]]}} pour annuler le point précédent.
* Saisir des valeurs numériques [[Draft_Coordinates/fr|insère une coordonnée manuellement]].
+
* Appuyez sur la touche {{KEY|ESC}} ou sur le bouton {{Button|Fermer}} pour annuler l'opération.
* Appuyer sur {{KEY|CTRL}}+{{KEY|Z}} ou sur le bouton {{KEY|[[Image:Draft UndoLine.png|12px]] '''[[Draft_UndoLine/fr|Undo]]'''}} annule le point précédent.
+
</div>
* Appuyer sur {{KEY|ESC}} annule l'opération.
+
 
* La ligne nouvellement créée, adopte le [[Draft_Linestyle/fr|style de ligne]] actif.
+
==Propriétés==
<br />
+
Un objet Ligne partage toutes les propriétés d'un {{Button|[[Image:Draft_Wire.svg|16px]] [[Draft Wire/fr|Draft Fil]]}}, toutefois, seules certaines de ces propriétés sont applicables à la ligne.
==Plan et Style==
 
<br />
 
[[File:Draft_Style_Plan_Travail.png]] Donner un plan '''"front"''' (Le texte change suivant la sélection): <br />
 
[[File:Draft_Style_Coordonnee_XYZ.png]]<br />
 
: demande un '''"Décalage"''' par rapport aux coordonnées '''0,0,0'''.
 
: puis le choix entre un plan''' XY''' ou '''XZ''' ou '''YZ'''.
 
: ou '''"Vue"''' plan perpendiculaire par rapport au plan actuel.
 
: ou '''"Aucun"''' plan (libre).
 
[[File:Draft_Style_Mode_Construction.png]] Active ou désactive le mode construction.<br />
 
[[File:Draft_Style_Couleur_Ligne.png]] Donne la couleur à la ligne (bord).<br />
 
[[File:Draft_Style_Couleur_Face.png]] Donne la couleur de fond à la forme.<br />
 
[[File:Draft_Style_Epaisseur_Ligne.png]] Donne l'épaisseur à la ligne (bord).<br />
 
[[File:Draft_Style_Hauteur_Texte.png]] Donne la hauteur du texte de 0 à 99,99 (très utile pour les cotations).<br />
 
[[File:Draft_Style_Style.png]] Donne l'ensemble des paramètres de '''[[Draft_Apply/fr|style]]''' aux objets [[Draft_Select/fr|sélectionnés]].<br />
 
  
==Properties==
+
===Data===
* {{PropertyData|Start}}: The start point
+
* {{PropertyData/fr|Start}}: Le point de départ
* {{PropertyData|End}}: The end point
+
* {{PropertyData/fr|End}}: Le point final
 +
* {{PropertyData/fr|Subdivisions}}: Divise la ligne en x lignes, donnez le nombre de coupures {{version/fr|0.16}}
 +
* {{PropertyData/fr|Length}}: (lecture seule) spécifie la longueur du segment.
  
==Scripting==
+
===View===
The Line tool can by used in [[macros]] and from the python console by using the following function:
+
* {{PropertyView/fr|End Arrow}}: s'il s'agit de {{TRUE}}, un symbole apparaîtra au dernier point de la ligne afin qu'il puisse être utilisé comme une ligne d'annotation.
<syntaxhighlight>
+
* {{PropertyView/fr|Arrow Size}}: spécifie la taille du symbole affiché à la fin de la ligne.
 +
* {{PropertyView/fr|Arrow Type}}: spécifie le type de symbole affiché à la fin de la ligne, qui peut être "Dot", "Circle", "Arrow", or "Tick".
 +
 
 +
==Script==
 +
{{Emphasis|See also:}} [[Draft API/fr|Draft API]] et [[FreeCAD Scripting Basics/fr|FreeCAD Script de  Base]].
 +
 
 +
L'outil ligne peut être utilisé dans une [[macros/fr|macro]] et dans la console [[Python/fr|Python]] en utilisant la fonction suivante :
 
{{Code|code=
 
{{Code|code=
makeLine (Vector, Vector)
+
Line = makeLine(p1, p2)
 +
Line = makeLine(LineSegment)
 +
Line = makeLine(Shape)
 
}}
 
}}
</syntaxhighlight>
 
* Creates a line between the two given vectors. The current draft linewidth and color will be used.
 
* Returns the newly created object.
 
  
Example:
+
* Crée une {{incode|Ligne}} entre les points {{incode|p1}} et {{incode|p2}} chacun défini par son {{incode|FreeCAD.Vector}}, avec les unités en millimètres.
<syntaxhighlight>
+
* Crée un objet {{incode|Ligne}} à partir d'un {{incode|Part.LineSegment}}.
 +
* Crée un objet {{incode|Ligne}} du premier sommet au dernier sommet de la {{incode|Shape}} donnée.
 +
 
 +
Exemple:
 
{{Code|code=
 
{{Code|code=
 
import FreeCAD, Draft
 
import FreeCAD, Draft
Draft.makeLine(FreeCAD.Vector(0,0,0),FreeCAD.Vector(2,0,0))
+
 
 +
p1 = FreeCAD.Vector(0, 0, 0)
 +
p2 = FreeCAD.Vector(1000, 500, 0)
 +
p3 = FreeCAD.Vector(-250, -500, 0)
 +
p4 = FreeCAD.Vector(500, 1000, 0)
 +
 
 +
Line1 = Draft.makeLine(p1, p2)
 +
Line2 = Draft.makeLine(p3, p4)
 +
}}
 +
 
 +
{{Docnav/fr
 +
|
 +
|[[Draft_Wire/fr|Filaire]]
 +
|[[Draft_Module/fr|Atelier Draft]]
 +
|IconC=Workbench_Draft.svg
 +
|IconR=Draft_Wire.svg
 
}}
 
}}
</syntaxhighlight>
 
  
 +
{{Draft Tools navi{{#translation:}}}}
 +
{{Userdocnavi{{#translation:}}}}
 
{{clear}}
 
{{clear}}
<languages/>
 

Revision as of 20:26, 21 February 2020

Other languages:
Deutsch • ‎English • ‎Türkçe • ‎español • ‎français • ‎italiano • ‎polski • ‎română • ‎svenska • ‎čeština • ‎русский • ‎中文(中国大陆)‎
FreeCAD.png
Page suivante: Filaire Draft Wire.svg Arrow-right.svg

Draft Line.svg Draft Ligne

Emplacement du menu
Draft → Ligne
Ateliers
Draft, Arch
Raccourci par défaut
L I
Introduit dans la version
0.7
Voir aussi
Draft Filaire, Draft Point


Description

Description

Cet outil demande à l'utilisateur de spécifier deux points et trace une ligne entre ceux-ci dans le plan de travail courant. Il prend la largeur et la couleur préalablement définies sur l'onglet Tâches. L'outil ligne se comporte exactement comme l'outil Filaire, à la différence qu'il s'arrête à la saisie de deux points. L'outil Ligne crée une ligne droite définie par deux points. Il utilise le style de ligne défini dans la barre d’outils du tiroir. L'outil Ligne se comporte exactement comme l'outil Draft Wire , sauf qu'il s'arrête après deux points.

Draft Line example.jpg

Création d'une ligne avec deux points


Usage

Utilisation

  1. Appuyez sur le bouton Draft Line.svg Draft Ligne ou utilisez le Draft Line.svg Ligne dans le menu supérieur, ou utilisez le raccourci clavier: L puis I.
  2. Cliquez le premier point dans la vue 3D, ou entrez les coordonnées puis pressez le bouton Draft AddPoint.svg Ajouter un point .
  3. Cliquez le deuxième point dans la vue 3D, ou entrez les coordonnées et pressez le bouton Draft AddPoint.svg Ajouter un point.

La ligne peut être éditée en double cliquant sur l'élément dans la vue 3D, ou pressez sur le bouton Draft Edit.svg Éditer. Vous pouvez alors déplacer les points à leurs nouvelle position.

Fusionner des lignes simples

Si plusieurs lines sont connectées, vous pouvez les fusionner en un fil unique en appuyant sur l'outil Draft Upgrade.svg Draft Upgrade. Cependant, ce fil ne sera pas éditable. Pour créer un fil modifiable, utilisez Draft Upgrade.svg Draft Upgrade trois fois de plus sur les nouvelles formes (fil, fil fermé, face). Vous pouvez également fusionner les lignes d'origine avec l'outil Draft Wire.svg Draft Wire.

REmarque: un fil peut également être créé à partir d'une seule ligne en ajoutant un autre point n'importe où sur sa longueur. Pour ce faire, appuyez sur le bouton Draft AddPoint.svg ajouter un point, puis cliquez n'importe où sur la ligne.

Options

  • Appuyez sur X, Y ou Z après le premier point pour contraindre le second point le long d'un axe.
  • Pour saisir les coordonnées manuellement, entrez le nombre et appuyez simplement sur ​​ENTRÉE entre chaque saisie de X, Y et Z.
    • Vous pouvez également définir les coordonnées polaires du point en donnant une valeur à "Longueur" et "Angle". Cliquez sur la case à cocher à côté de "Angle" pour contraindre le pointeur à l'angle spécifié.
    • Vous pouvez appuyer sur le bouton Draft AddPoint.svg ajouter un point lorsque vous avez les valeurs souhaitées pour insérer le point.
  • Appuyez sur R ou cliquez sur la case Relatif pour cocher/décocher ce mode. Si le mode relatif est activé, les coordonnées du second point seront relatives à la première. Sinon, elles seront absolues, prises à partir du point d'origine (0,0,0).
  • Appuyez sur T ou cliquez sur la case Continuer pour cocher/décocher ce mode. Si le mode Continuer est activé, l'outil ligne va redémarrer après que vous ayez donné le second point, vous permettant de dessiner un autre segment de ligne sans appuyer de nouveau sur le bouton ligne.
  • Appuyez sur CTRL pendant que l'outil est actif pour forcer l'accrochage du point sur l'emplacement d'accrochage le plus près, indépendamment de sa distance.
  • Appuyez sur MAJ pendant que l'outil est actif pour contraindre le second point horizontalement ou verticalement en relation au point précédent.
  • Appuyez sur CTRL + Z ou sur le bouton Draft UndoLine.png annuler pour annuler le point précédent.
  • Appuyez sur la touche ESC ou sur le bouton Fermer pour annuler l'opération.

Propriétés

Un objet Ligne partage toutes les propriétés d'un Draft Wire.svg Draft Fil, toutefois, seules certaines de ces propriétés sont applicables à la ligne.

Data

  • DonnéesStart: Le point de départ
  • DonnéesEnd: Le point final
  • DonnéesSubdivisions: Divise la ligne en x lignes, donnez le nombre de coupures Introduit dans la version 0.16
  • DonnéesLength: (lecture seule) spécifie la longueur du segment.

View

  • VueEnd Arrow: s'il s'agit de True, un symbole apparaîtra au dernier point de la ligne afin qu'il puisse être utilisé comme une ligne d'annotation.
  • VueArrow Size: spécifie la taille du symbole affiché à la fin de la ligne.
  • VueArrow Type: spécifie le type de symbole affiché à la fin de la ligne, qui peut être "Dot", "Circle", "Arrow", or "Tick".

Script

See also: Draft API et FreeCAD Script de Base.

L'outil ligne peut être utilisé dans une macro et dans la console Python en utilisant la fonction suivante :

Line = makeLine(p1, p2)
Line = makeLine(LineSegment)
Line = makeLine(Shape)
  • Crée une Ligne entre les points p1 et p2 chacun défini par son FreeCAD.Vector, avec les unités en millimètres.
  • Crée un objet Ligne à partir d'un Part.LineSegment.
  • Crée un objet Ligne du premier sommet au dernier sommet de la Shape donnée.

Exemple:

import FreeCAD, Draft

p1 = FreeCAD.Vector(0, 0, 0)
p2 = FreeCAD.Vector(1000, 500, 0)
p3 = FreeCAD.Vector(-250, -500, 0)
p4 = FreeCAD.Vector(500, 1000, 0)

Line1 = Draft.makeLine(p1, p2)
Line2 = Draft.makeLine(p3, p4)
FreeCAD.png
Page suivante: Filaire Draft Wire.svg Arrow-right.svg